#ifndef WRESOURCE_TEST_PAGE
#define WRESOURCE_TEST_PAGE

#include <Wt/WContainerWidget>

#include "wresourceobject.h"

class DefaultPage : public Wt::WContainerWidget /// pagina deault para fuera servicio o pruebas basicas
{

public:
    DefaultPage(Wt::WString const&);
    DefaultPage(DefaultPage const&) = delete;
    DefaultPage(DefaultPage&&) = delete;
    DefaultPage& operator=(DefaultPage const&) = delete;
    DefaultPage& operator=(DefaultPage&&) = delete;
    virtual ~DefaultPage(void);


private:
    Wt::WText       *dDefaultMessage;
    Wt::WText       *dResourceUrl;
    Wt::WText       *dStatusMessage;
    Wt::WLineEdit   *dUrlIn;
    Wt::WPushButton *dClearButton;
    Wt::WPushButton *dOutButton;
    Wt::WPushButton *dResourceButton;
    Wt::WPushButton *dLoadData;
    
    WebResourceWidget *dWebResource;

    void ClearData(void);
    void LoadData(void);
    void QuitApplication(void);

};


#endif
